Installs the privileged access detection package for the Entity Analytics privileged user monitoring experience

POST /api/entity_analytics/privileged_user_monitoring/pad/install

Spaces method and path for this operation:

post /s/{space_id}/api/entity_analytics/privileged_user_monitoring/pad/install

Refer to Spaces for more information.

Installs the privileged access detection integration package and sets up the associated ML modules required for the Entity Analytics privileged user monitoring experience.

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • message string Required
POST /api/entity_analytics/privileged_user_monitoring/pad/install
curl \
 --request POST 'https://<KIBANA_URL>/api/entity_analytics/privileged_user_monitoring/pad/install' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "message": "Privileged access detection package installed successfully"
}